function onCreate()
	-- background shit
	makeLuaSprite('city/behindOne', 'city/behindOne', -500, -300);
	makeLuaSprite('city/behindTwo', 'city/behindTwo', -500, -300);
	makeLuaSprite('city/InfrontzOne', 'city/InfrontzOne', -100, -300);
	makeLuaSprite('city/InfrontTwo', 'city/InfrontTwo', -500, -300);
	makeLuaSprite('city/InfrontThree', 'city/InfrontThree', -500, -300);
	makeLuaSprite('city/InfrontFour', 'city/InfrontFour', -500, -300);
	makeLuaSprite('city/InfrontFive', 'city/InfrontFive', -500, -300);
	--makeLuaSprite('city/overlay', 'city/overlay', -500, -300);

	--[[
	if not lowQuality then
		makeLuaSprite('stagelight_left', 'stage_light', -125, -100);
		setLuaSpriteScrollFactor('stagelight_left', 0.9, 0.9);
		scaleObject('stagelight_left', 1.1, 1.1);
		
		makeLuaSprite('stagelight_right', 'stage_light', 1225, -100);
		setLuaSpriteScrollFactor('stagelight_right', 0.9, 0.9);
		scaleObject('stagelight_right', 1.1, 1.1);
		setPropertyLuaSprite('stagelight_right', 'flipX', true); --mirror sprite horizontally

		makeLuaSprite('stagecurtains', 'stagecurtains', -500, -300);
		setLuaSpriteScrollFactor('stagecurtains', 1.3, 1.3);
		scaleObject('stagecurtains', 0.9, 0.9);
	end]]

	addLuaSprite('city/behindOne', false);
	addLuaSprite('city/behindTwo', false);
	addLuaSprite('city/InfrontzOne', true);
	addLuaSprite('city/InfrontTwo', true);
	addLuaSprite('city/InfrontThree', true);
	addLuaSprite('city/InfrontFour', true);
	--addLuaSprite('city/overlay', true);

	doTweenX("cloudTween", "city/InfrontzOne", -3000, 120, "linearIn")
	
	close(true); --For performance reasons, close this script once the stage is fully loaded, as this script won't be used anymore after loading the stage
end